-
        

Ergebnis 1 bis 6 von 6

Thema: GNUARM Eclipse Plugin

  1. #1
    Benutzer Stammmitglied
    Registriert seit
    18.10.2005
    Ort
    Bremen
    Alter
    41
    Beiträge
    76

    GNUARM Eclipse Plugin

    Anzeige

    Hi,

    Ich beschäftige mich zur Zeit auch mit ARM Controllern. Als Compiler
    nutze ich den GNU ARM. Als IDE hab ich Eclipse, aber dafür bisher kein
    Plugin gefunden. Deshalb hab ich mich gestern mal dran gesetzt und eins
    geschrieben.

    Falls es jemand testen möchte, ich habs als Anhang mit hochgeladen. Es
    funktioniert soweit, aber ich denke es muss noch einiges ergänzt werden.
    Verbesserungsvorschläge und Ergänzungen sind also durchaus erwünscht.

    Die Installation erfolgt durch voriges entpacken (gzip -d [FILE]) und kopieren ins Plugin Verzeichnis.

    Zur Zeit ist es auf Linux beschränkt, aber das muss ja nicht so bleiben. Hängt davon vom Intresse hab.
    Angehängte Dateien Angehängte Dateien

  2. #2
    Benutzer Stammmitglied
    Registriert seit
    18.10.2005
    Ort
    Bremen
    Alter
    41
    Beiträge
    76
    Jetzt auch auf Sourceforge ... http://gnuarmeclipse.sourceforge.net

  3. #3
    Benutzer Stammmitglied
    Registriert seit
    28.05.2005
    Ort
    Karlsruhe
    Beiträge
    45
    oh sehr löblich. noch bin ich nicht soweit aber ich werde mich irgendwann drüber hermachen =)

  4. #4
    Benutzer Stammmitglied
    Registriert seit
    18.10.2005
    Ort
    Bremen
    Alter
    41
    Beiträge
    76
    Ich hab jetzt auch support für die WinARM Toolchain unter Windows hinzugefügt. Feedback ist weiterhin erwünscht .

  5. #5
    Benutzer Stammmitglied
    Registriert seit
    18.10.2005
    Ort
    Bremen
    Alter
    41
    Beiträge
    76
    Inzwischen gibts die Version 0.1.1 zum Download.

    Neue Features u.a.:
    - c++ support
    - static library toolchain
    - OS-X support

    Status: Beta

  6. #6
    Benutzer Stammmitglied
    Registriert seit
    18.10.2005
    Ort
    Bremen
    Alter
    41
    Beiträge
    76
    Für diejenigen die inzwischen Eclipse 3.3 und CDT 4.0 einsetzten gibts jetzt die Version 0.4.0_beta. Erfahrungsberichte sind erwünscht =).

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •